Class | HttpServer
In: | xmlrpc/httpserver.rb
Parent: | GServer

### Methods

new

### Classes and Modules

Class HttpServer::Request
Class HttpServer::Response
Class HttpServer::Table

### Constants

CRLF | = | "\r\n" |  | Constants ————————————————
HTTP_PROTO | = | "HTTP/1.0"
SERVER_NAME | = | "HttpServer (Ruby #{RUBY_VERSION})"
DEFAULT_HEADER | = | { "Server" => SERVER_NAME
StatusCodeMapping | = | { 200 => "OK", 400 => "Bad Request", 403 => "Forbidden", 405 => "Method Not Allowed", 411 => "Length Required", 500 => "Internal Server Error" |  | Mapping of status code and error message

### Public Class methods

new(handle_obj, port = 8080, host = DEFAULT_HOST, maxConnections = 4, stdlog = $stdout, audit = true, debug = true)

handle_obj specifies the object, that receives calls to request_handler and ip_auth_handler

[Source]

    # File xmlrpc/httpserver.rb, line 18
      def initialize(handle_obj, port = 8080, host = DEFAULT_HOST, maxConnections = 4,
                     stdlog = $stdout, audit = true, debug = true)
        @handler = handle_obj
        super(port, host, maxConnections, stdlog, audit, debug)
      end

[Validate]